components:
  schemas:
    IOConnectivityLoSCapabilities_v1_0_1_IOConnectivityLoSCapabilities:
      additionalProperties: false
      description: Describe IO Connectivity capabilities.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        Description:
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          - enum:
            - 'null'
          readOnly: true
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        Identifier:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Identifier
          description: The value identifies this resource.
          x-longDescription: The value identifies this resource. The value shall be
            unique within the managed ecosystem.
        MaxSupportedBytesPerSecond:
          description: The maximum Bandwidth in bytes per second that a connection
            can support.
          format: int64
          nullable: true
          readOnly: false
          type: integer
          x-longDescription: The value shall be the maximum bytes per second that
            a connection can support.
          x-units: By/s
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
        SupportedAccessProtocols:
          description: SupportedAccessProtocols.
          items:
            oneOf:
            - $ref: http://redfish.dmtf.org/schemas/v1/Protocol.yaml#/components/schemas/Protocol_Protocol
            - enum:
              - 'null'
          readOnly: false
          type: array
          x-longDescription: 'Access protocols supported by this service option. NOTE:
            SMB+NFS* requires that SMB and at least one of NFSv3 or NFXv4 are also
            selected, (i.e. {''SMB'', ''NFSv4'', ''SMB+NFS*''}).'
        SupportedLinesOfService:
          description: Collection of known and supported IOConnectivityLinesOfService.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          readOnly: false
          type: array
          x-autoExpand: true
          x-longDescription: The collection shall contain known and supported IOConnectivityLinesOfService.
        SupportedLinesOfService@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
      required:
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: Each instance of IOConnectivityLoSCapabilities describes
        capabilities of the system to support various IO Connectivity service options.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
title: '#IOConnectivityLoSCapabilities.v1_0_1.IOConnectivityLoSCapabilities'
x-copyright: Copyright 2015-2024 Storage Networking Industry Association (SNIA), USA.
  All rights reserved.
x-owningEntity: SNIA
x-release: 1.0.3
